Bug 1566359 - Puppet4 tuning should point to puppetserver config, not Passenger
Summary: Puppet4 tuning should point to puppetserver config, not Passenger
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Tuning Guide
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: sbadhwar
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 07:20 UTC by Evgeni Golov
Modified: 2019-09-26 16:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 01:39:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Evgeni Golov 2018-04-12 07:20:33 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/tuning_red_hat_satellite/tuning#tuning_passenger_for_puppet_4_related_workloads

Section Number and Name: 
5.2.4. Tuning Passenger for Puppet 4-related workloads

Describe the issue: 
Puppet 4 does not run under Passenger, but as a standalone (Java) process and as such should be configured/tuned in /etc/sysconfig/puppetserver and /etc/puppetlabs/puppetserver/ and not /etc/httpd/conf.d/passenger.conf

Also, given it's Java, not Ruby, different tuning settings will apply.

Suggestions for improvement: 

Additional information:

Comment 1 sbadhwar 2018-04-12 08:00:45 UTC
(In reply to Evgeni Golov from comment #0)
> Document URL: 
> https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/
> tuning_red_hat_satellite/
> tuning#tuning_passenger_for_puppet_4_related_workloads
> 
> Section Number and Name: 
> 5.2.4. Tuning Passenger for Puppet 4-related workloads
> 
> Describe the issue: 
> Puppet 4 does not run under Passenger, but as a standalone (Java) process
> and as such should be configured/tuned in /etc/sysconfig/puppetserver and
> /etc/puppetlabs/puppetserver/ and not /etc/httpd/conf.d/passenger.conf
> 
> Also, given it's Java, not Ruby, different tuning settings will apply.
> 
> Suggestions for improvement: 
> 
> Additional information:

Hi Evgeni,

This tuning actually relates to Passenger when the workload is mostly Puppet 4 based and does not really cover any tunings that should be applied to Puppet itself.
Probably, we can title this section more inline with that purpose to reflect on that.


Note You need to log in before you can comment on or make changes to this bug.